## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDocumentFragmentNodeRefListBaseProxy Class Reference

`#include <XalanDocumentFragmentNodeRefListBaseProxy.hpp>`

Inheritance diagram for XalanDocumentFragmentNodeRefListBaseProxy:

[legend]
Collaboration diagram for XalanDocumentFragmentNodeRefListBaseProxy:

[legend]
List of all members.

## Public Methods

- XalanDocumentFragmentNodeRefListBaseProxy (const XalanDocumentFragment &value)
    Construct an instance from a document fragment. More...
- XalanDocumentFragmentNodeRefListBaseProxy (const XalanDocumentFragmentNodeRefListBaseProxy &source)
    Copy constructor. More...
- virtual ~XalanDocumentFragmentNodeRefListBaseProxy ()
- XalanNode* item (size_type index) const
    Returns the `index`th item in the collection. More...
- size_type getLength () const
    Determine the number of nodes in the list. More...
- size_type indexOf (const XalanNode *theNode) const
    Retrieve the zero based index of the node in the list. More...

## Constructor & Destructor Documentation

XalanDocumentFragmentNodeRefListBaseProxy::XalanDocumentFragmentNodeRefListBaseProxy ( | const XalanDocumentFragment & value )

  | Construct an instance from a document fragment. Parameters:
  value | source document fragment.

XalanDocumentFragmentNodeRefListBaseProxy::XalanDocumentFragmentNodeRefListBaseProxy ( | const XalanDocumentFragmentNodeRefListBaseProxy & source )

  | Copy constructor. Parameters:
  source | source instance

XalanDocumentFragmentNodeRefListBaseProxy::~XalanDocumentFragmentNodeRefListBaseProxy ( | )`[virtual]`

## Member Function Documentation

size_type XalanDocumentFragmentNodeRefListBaseProxy::getLength ( | ) const`[virtual]`

| Determine the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Returns: number of nodes Reimplemented from NodeRefListBase.

size_type XalanDocumentFragmentNodeRefListBaseProxy::indexOf ( | const XalanNode * theNode ) const`[virtual]`

  | Retrieve the zero based index of the node in the list. Parameters:
  theNode | node whose index to find
Returns: index of node Reimplemented from NodeRefListBase.

XalanNode * XalanDocumentFragmentNodeRefListBaseProxy::item ( | size_type index ) const`[virtual]`

  | Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`. Parameters:
  index | index into the collection
Returns: node at the `index`th position in the `NodeList`, or `null` if that is not a valid index Reimplemented from NodeRefListBase.

The documentation for this class was generated from the following file:

- XalanDocumentFragmentNodeRefListBaseProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.